API Reference
Set primary character reference.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
characterId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidHeader Parameters
Idempotency-Key?string
Retry key (8-200 characters). Reusing it with identical input returns the original response; different input returns 409.
Match
^[A-Za-z0-9._:-]+$Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/characters/497f6eca-6276-4993-bfeb-53cbbbba6f08/primary-reference" \ -H "Content-Type: application/json" \ -d '{ "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "human", "status": "draft", "consistency_mode": "reference", "species": "string", "canonical_description": "string", "story_facts": [ "string" ], "default_voice_id": "string", "default_voice_style": "string", "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901", "primary_reference_asset_id": "28cadf89-2b28-414b-80c0-76ab1f89fdb2", "references": [ { "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4", "name": "string", "order_index": -9007199254740991, "is_primary": true } ], "created_at": "string", "updated_at": "string"}